<template>
  <div class="menu-nav-links menu-drawer-border" :class="isPlayful && 'menu-nav-playful'">
    <div class="menu-nav-links__title-container" v-if="!isPlayful">
      <p class="menu-nav-links__title">
        {{ $t("provider types") }}
      </p>
    </div>
    <div class="buttons">
      <nuxt-link
        to="/"
        active-class="active"
        v-if="isPlayful && !isIndependentModule"
        :id="ID.TAB_TYPE.HOME"
      >
        <div class="content pointer-events-none">
          <div class="icon-container">
             <svg-icon svg-name="icon-home" class="w-5 h-5" />
          </div>
          <span class="label uppercase">
            {{ $t('home') }}
          </span>
        </div>
      </nuxt-link>
      <template v-if="!isIndependentModule">
        <nuxt-link
          v-for="menu in menuTabHeaders"
          :key="menu.TabType"
          :to="menu.TabURL"
          :name="menu.TabType"
          active-class="active"
          :id="ID.TAB_TYPE[menu.TabLanguage]"
        >
          <div class="content pointer-events-none">
            <div class="icon-container">
              <SvgIcon :svg-name="getIcon(menu.TabType)" class="w-5 h-5" />
            </div>
            <span class="label uppercase">
              {{ $t(getLabel(menu.TabType)) }}
            </span>
          </div>
        </nuxt-link>
      </template>
      <nuxt-link
        v-if="isAllowPromotionTab"
        to="/promotion"
        active-class="active"
        :id="ID.TAB_TYPE.PROMOTION"
      >
        <div class="content pointer-events-none">
          <div class="icon-container">
            <SvgIcon svg-name="icon-promotion-2" class="w-5 h-5" />
          </div>
          <span class="label uppercase">
            {{ $t("promotion") }}
          </span>
        </div>
      </nuxt-link>
      <a
        v-if="isAppDownloadEnabled && appDownloadURL === '' && isMobile"
        :href="appUrl"
        download
      >
        <div class="content">
          <div class="icon-container">
            <SvgIcon svg-name="icon-download" class="w-5 h-5" />
          </div>
          <span class="label uppercase">
            {{ $t("app_download") }}
          </span>
        </div>
      </a>
      <a
        v-if="isAppDownloadEnabled && appDownloadURL !== ''"
        :href="
          appDownloadURL.includes('://')
            ? appDownloadURL
            : `//${appDownloadURL}`
        "
        target="_blank"
      >
        <div class="content">
          <div class="icon-container">
            <SvgIcon svg-name="icon-download" class="w-5 h-5" />
          </div>
          <span class="label uppercase">
            {{ $t("app_download") }}
          </span>
        </div>
      </a>
    </div>
  </div>
</template>

<script setup lang="ts">
import { store } from '@/store';
const {
  menuTabHeaders,
  isAllowPromotionTab,
  isAppDownloadEnabled,
  appDownloadURL,
  appUrl,
} = useHeaderComponent();

const isMobile = !useIsDesktop();
const isPlayful = computed(() => store.state.selectedThemeName === "playful");
const getIcon = (tabType: string) => {
  return `icon-${tabType.toLowerCase().replace(" ", "-")}`;
};
const getLabel = (tabType: string) => {
  return tabType.replace(" ", "_").toLowerCase();
};
const isIndependentModule = useState(KEYS.IS_INDEPENDENT_MODULE);
</script>

<style scoped lang="scss">
.menu-nav-links {
  display: flex;
  padding: 16px 0px 16px 0px;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;

  color: var(--text5, #fff);
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-transform: uppercase;
}
.menu-nav-links__title-container {
  display: flex;
  padding: 0px 24px;
  align-items: center;
  gap: 8px;
  align-self: stretch;
}
.menu-nav-links__title {
  opacity: 0.5;
}
.menu-nav-links .buttons {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
}
.menu-nav-links .buttons svg {
  fill: var(--text5);
}
.menu-nav-links .buttons a {
  display: flex;
  height: 64px;
  padding: 0px 24px 0px 12px;
  position: relative;
  align-items: center;
  gap: 172px;
  align-self: stretch;
  transition: all 300ms ease;
  background: linear-gradient(
      0deg,
      rgba(0, 0, 0, var(--opacity, 0.25)) 0%,
      rgba(0, 0, 0, var(--opacity, 0.25)) 100%
    ),
    var(--background5, #1d2052);
}
.menu-nav-links .buttons a:hover,
.menu-nav-links .buttons a.active {
  --opacity: 0.05;
}
.menu-nav-links .buttons a.active::after {
  content: "";
  width: 2px;
  height: 12px;
  position: absolute;
  left: 4px;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 1px;
  background: var(--primary, #31c46e);
}
.menu-nav-links .buttons .content {
  display: flex;
  align-items: center;
  opacity: 0.5;
  transition: opacity 300ms ease;
}
.menu-nav-links .buttons a:hover .content,
.menu-nav-links .buttons a.active .content {
  opacity: 1;
}
.menu-nav-links .buttons .icon-container {
  display: flex;
  width: 48px;
  height: 48px;
  justify-content: center;
  align-items: center;
  gap: 8px;
}
.menu-nav-links .buttons .icon-container {
  color: var(--text5, #fff);
  font-family: Roboto;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
}
.menu-nav-playful {
  .buttons {
    a {
      height: 48px;
    }
    margin: 0 16px 0 16px;
    .active {
      border-radius: 8px;
    }
    .active::after {
      left: 10px !important;
    }
  }

}
</style>
<style lang="scss">
[theme-color="global_light_01"] {
  .menu-nav-links .buttons a {
    background: linear-gradient(0deg, rgba(0, 0, 0, var(--opacity, 0)) 0%, rgba(0, 0, 0, var(--opacity, 0)) 100%), var(--background5, #EDF0F7)
  }
}
</style>
